org.opencv.aruco

## Class DetectorParameters

- java.lang.Object
- - org.opencv.aruco.DetectorParameters

-     public class DetectorParameters
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DetectorParameters(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DetectorParameters` | `__fromPtr__(long addr)`
    `static DetectorParameters` | `create()`
    `protected void` | `finalize()`
    `double` | `get_adaptiveThreshConstant()`
    `int` | `get_adaptiveThreshWinSizeMax()`
    `int` | `get_adaptiveThreshWinSizeMin()`
    `int` | `get_adaptiveThreshWinSizeStep()`
    `int` | `get_cornerRefinementMaxIterations()`
    `int` | `get_cornerRefinementMethod()`
    `double` | `get_cornerRefinementMinAccuracy()`
    `int` | `get_cornerRefinementWinSize()`
    `double` | `get_errorCorrectionRate()`
    `int` | `get_markerBorderBits()`
    `double` | `get_maxErroneousBitsInBorderRate()`
    `double` | `get_maxMarkerPerimeterRate()`
    `double` | `get_minCornerDistanceRate()`
    `int` | `get_minDistanceToBorder()`
    `double` | `get_minMarkerDistanceRate()`
    `double` | `get_minMarkerPerimeterRate()`
    `double` | `get_minOtsuStdDev()`
    `double` | `get_perspectiveRemoveIgnoredMarginPerCell()`
    `int` | `get_perspectiveRemovePixelPerCell()`
    `double` | `get_polygonalApproxAccuracyRate()`
    `long` | `getNativeObjAddr()`
    `void` | `set_adaptiveThreshConstant(double adaptiveThreshConstant)`
    `void` | `set_adaptiveThreshWinSizeMax(int adaptiveThreshWinSizeMax)`
    `void` | `set_adaptiveThreshWinSizeMin(int adaptiveThreshWinSizeMin)`
    `void` | `set_adaptiveThreshWinSizeStep(int adaptiveThreshWinSizeStep)`
    `void` | `set_cornerRefinementMaxIterations(int cornerRefinementMaxIterations)`
    `void` | `set_cornerRefinementMethod(int cornerRefinementMethod)`
    `void` | `set_cornerRefinementMinAccuracy(double cornerRefinementMinAccuracy)`
    `void` | `set_cornerRefinementWinSize(int cornerRefinementWinSize)`
    `void` | `set_errorCorrectionRate(double errorCorrectionRate)`
    `void` | `set_markerBorderBits(int markerBorderBits)`
    `void` | `set_maxErroneousBitsInBorderRate(double maxErroneousBitsInBorderRate)`
    `void` | `set_maxMarkerPerimeterRate(double maxMarkerPerimeterRate)`
    `void` | `set_minCornerDistanceRate(double minCornerDistanceRate)`
    `void` | `set_minDistanceToBorder(int minDistanceToBorder)`
    `void` | `set_minMarkerDistanceRate(double minMarkerDistanceRate)`
    `void` | `set_minMarkerPerimeterRate(double minMarkerPerimeterRate)`
    `void` | `set_minOtsuStdDev(double minOtsuStdDev)`
    `void` | `set_perspectiveRemoveIgnoredMarginPerCell(double perspectiveRemoveIgnoredMarginPerCell)`
    `void` | `set_perspectiveRemovePixelPerCell(int perspectiveRemovePixelPerCell)`
    `void` | `set_polygonalApproxAccuracyRate(double polygonalApproxAccuracyRate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### DetectorParameters

          protected DetectorParameters(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static DetectorParameters __fromPtr__(long addr)

    - #### create

          public static DetectorParameters create()

    - #### get_adaptiveThreshWinSizeMin

          public int get_adaptiveThreshWinSizeMin()

    - #### set_adaptiveThreshWinSizeMin

          public void set_adaptiveThreshWinSizeMin(int adaptiveThreshWinSizeMin)

    - #### get_adaptiveThreshWinSizeMax

          public int get_adaptiveThreshWinSizeMax()

    - #### set_adaptiveThreshWinSizeMax

          public void set_adaptiveThreshWinSizeMax(int adaptiveThreshWinSizeMax)

    - #### get_adaptiveThreshWinSizeStep

          public int get_adaptiveThreshWinSizeStep()

    - #### set_adaptiveThreshWinSizeStep

          public void set_adaptiveThreshWinSizeStep(int adaptiveThreshWinSizeStep)

    - #### get_adaptiveThreshConstant

          public double get_adaptiveThreshConstant()

    - #### set_adaptiveThreshConstant

          public void set_adaptiveThreshConstant(double adaptiveThreshConstant)

    - #### get_minMarkerPerimeterRate

          public double get_minMarkerPerimeterRate()

    - #### set_minMarkerPerimeterRate

          public void set_minMarkerPerimeterRate(double minMarkerPerimeterRate)

    - #### get_maxMarkerPerimeterRate

          public double get_maxMarkerPerimeterRate()

    - #### set_maxMarkerPerimeterRate

          public void set_maxMarkerPerimeterRate(double maxMarkerPerimeterRate)

    - #### get_polygonalApproxAccuracyRate

          public double get_polygonalApproxAccuracyRate()

    - #### set_polygonalApproxAccuracyRate

          public void set_polygonalApproxAccuracyRate(double polygonalApproxAccuracyRate)

    - #### get_minCornerDistanceRate

          public double get_minCornerDistanceRate()

    - #### set_minCornerDistanceRate

          public void set_minCornerDistanceRate(double minCornerDistanceRate)

    - #### get_minDistanceToBorder

          public int get_minDistanceToBorder()

    - #### set_minDistanceToBorder

          public void set_minDistanceToBorder(int minDistanceToBorder)

    - #### get_minMarkerDistanceRate

          public double get_minMarkerDistanceRate()

    - #### set_minMarkerDistanceRate

          public void set_minMarkerDistanceRate(double minMarkerDistanceRate)

    - #### get_cornerRefinementMethod

          public int get_cornerRefinementMethod()

    - #### set_cornerRefinementMethod

          public void set_cornerRefinementMethod(int cornerRefinementMethod)

    - #### get_cornerRefinementWinSize

          public int get_cornerRefinementWinSize()

    - #### set_cornerRefinementWinSize

          public void set_cornerRefinementWinSize(int cornerRefinementWinSize)

    - #### get_cornerRefinementMaxIterations

          public int get_cornerRefinementMaxIterations()

    - #### set_cornerRefinementMaxIterations

          public void set_cornerRefinementMaxIterations(int cornerRefinementMaxIterations)

    - #### get_cornerRefinementMinAccuracy

          public double get_cornerRefinementMinAccuracy()

    - #### set_cornerRefinementMinAccuracy

          public void set_cornerRefinementMinAccuracy(double cornerRefinementMinAccuracy)

    - #### get_markerBorderBits

          public int get_markerBorderBits()

    - #### set_markerBorderBits

          public void set_markerBorderBits(int markerBorderBits)

    - #### get_perspectiveRemovePixelPerCell

          public int get_perspectiveRemovePixelPerCell()

    - #### set_perspectiveRemovePixelPerCell

          public void set_perspectiveRemovePixelPerCell(int perspectiveRemovePixelPerCell)

    - #### get_perspectiveRemoveIgnoredMarginPerCell

          public double get_perspectiveRemoveIgnoredMarginPerCell()

    - #### set_perspectiveRemoveIgnoredMarginPerCell

          public void set_perspectiveRemoveIgnoredMarginPerCell(double perspectiveRemoveIgnoredMarginPerCell)

    - #### get_maxErroneousBitsInBorderRate

          public double get_maxErroneousBitsInBorderRate()

    - #### set_maxErroneousBitsInBorderRate

          public void set_maxErroneousBitsInBorderRate(double maxErroneousBitsInBorderRate)

    - #### get_minOtsuStdDev

          public double get_minOtsuStdDev()

    - #### set_minOtsuStdDev

          public void set_minOtsuStdDev(double minOtsuStdDev)

    - #### get_errorCorrectionRate

          public double get_errorCorrectionRate()

    - #### set_errorCorrectionRate

          public void set_errorCorrectionRate(double errorCorrectionRate)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1